diff -rupN orig/other/appdata/antimicro.appdata.xml.in appdata/other/appdata/antimicro.appdata.xml.in
--- orig/other/appdata/antimicro.appdata.xml.in	1969-12-31 19:00:00.000000000 -0500
+++ appdata/other/appdata/antimicro.appdata.xml.in	2015-01-03 21:09:40.000000000 -0500
@@ -0,0 +1,35 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!-- Copyright 2014 Jeff Backus <jeff.backus@gmail.com> -->
+<component type="desktop">
+ <id>antimicro.desktop</id>
+ <metadata_license>CC0-1.0</metadata_license>
+ <project_license>GPL-3.0+</project_license>
+ <name>AntiMicro</name>
+ <summary>Graphical program used to map keyboard buttons and mouse controls to a gamepad</summary>
+ <description>
+   <p>
+     AntiMicro is a graphical program used to map keyboard keys and mouse 
+     controls to a gamepad. This program is useful for playing PC games using a
+     gamepad that do not have any form of built-in gamepad support. 
+   </p>
+   <p>
+     AntiMicro was inspired by QJoyPad but has additional features.
+   </p>
+ </description>
+ <screenshots>
+  <screenshot type="default">
+   <image>https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_configure01.png</image>
+   <caption>Profile Configuration Dialog</caption>
+  </screenshot>
+  <screenshot>
+   <image>https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_configure02.png</image>
+   <caption>Key Assignment Dialog</caption>
+  </screenshot>
+  <screenshot>
+   <image>https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_mapping01.png</image>
+   <caption>Controller Mapping Dialog</caption>
+  </screenshot>
+ </screenshots>
+ <url type="homepage">https://github.com/Ryochan7/antimicro</url>
+ <updatecontact>jeff.backus_at_gmail.com</updatecontact>
+</component>
diff -rupN orig/other/appdata/appdata.its appdata/other/appdata/appdata.its
--- orig/other/appdata/appdata.its	1969-12-31 19:00:00.000000000 -0500
+++ appdata/other/appdata/appdata.its	2015-01-03 21:09:40.000000000 -0500
@@ -0,0 +1,9 @@
+<!-- Copyright 2013 Richard Hughes <richard@hughsie.com> -->
+<its:rules
+  xmlns:its="http://www.w3.org/2005/11/its"
+  version="1.0">
+  <its:translateRule translate="no" selector="/component"/>
+  <its:translateRule translate="yes"
+    selector="/component/name | /component/summary |
+              /component/description"/>
+</its:rules>
diff -rupN orig/other/appdata/CMakeLists.txt appdata/other/appdata/CMakeLists.txt
--- orig/other/appdata/CMakeLists.txt	1969-12-31 19:00:00.000000000 -0500
+++ appdata/other/appdata/CMakeLists.txt	2015-01-03 21:09:40.000000000 -0500
@@ -0,0 +1,10 @@
+add_custom_target(appdata)
+
+add_custom_command(TARGET appdata PRE_BUILD
+    # Add an entry per language
+    COMMAND msgfmt "${PROJECT_SOURCE_DIR}/other/appdata/PO_files/en.po" -o "${PROJECT_SOURCE_DIR}/other/appdata/PO_files/en.mo"
+
+    COMMAND itstool -i "${PROJECT_SOURCE_DIR}/other/appdata/appdata.its" -j "${PROJECT_SOURCE_DIR}/other/appdata/antimicro.appdata.xml.in" -o "antimicro.appdata.xml" "${PROJECT_SOURCE_DIR}/other/appdata/PO_files/*.mo"
+)
+
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/antimicro.appdata.xml" DESTINATION "share/appdata")
diff -rupN orig/other/appdata/PO_files/en.po appdata/other/appdata/PO_files/en.po
--- orig/other/appdata/PO_files/en.po	1969-12-31 19:00:00.000000000 -0500
+++ appdata/other/appdata/PO_files/en.po	2015-01-03 21:09:40.000000000 -0500
@@ -0,0 +1,81 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: PACKAGE VERSION\n"
+"POT-Creation-Date: 2014-12-06 21:37-0500\n"
+"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
+"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
+"Language-Team: LANGUAGE <LL@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. (itstool) path: component/id
+#: antimicro.appdata.xml.in:4
+msgid "antimicro.desktop"
+msgstr ""
+
+#. (itstool) path: component/metadata_license
+#: antimicro.appdata.xml.in:5
+msgid "MIT"
+msgstr ""
+
+#. (itstool) path: component/project_license
+#: antimicro.appdata.xml.in:6
+msgid "GPL-3.0+"
+msgstr ""
+
+#. (itstool) path: component/name
+#: antimicro.appdata.xml.in:7
+msgid "AntiMicro"
+msgstr ""
+
+#. (itstool) path: component/summary
+#: antimicro.appdata.xml.in:8
+msgid "Graphical program used to map keyboard buttons and mouse controls to a gamepad"
+msgstr ""
+
+#. (itstool) path: description/p
+#: antimicro.appdata.xml.in:10
+msgid "AntiMicro is a graphical program used to map keyboard keys and mouse controls to a gamepad. This program is useful for playing PC games using a gamepad that do not have any form of built-in gamepad support. AntiMicro was inspired by QJoyPad but has additional features."
+msgstr ""
+
+#. (itstool) path: screenshot/image
+#: antimicro.appdata.xml.in:19
+msgid "https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_configure01.png"
+msgstr ""
+
+#. (itstool) path: screenshot/caption
+#: antimicro.appdata.xml.in:20
+msgid "Profile Configuration Dialog"
+msgstr ""
+
+#. (itstool) path: screenshot/image
+#: antimicro.appdata.xml.in:23
+msgid "https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_configure02.png"
+msgstr ""
+
+#. (itstool) path: screenshot/caption
+#: antimicro.appdata.xml.in:24
+msgid "Key Assignment Dialog"
+msgstr ""
+
+#. (itstool) path: screenshot/image
+#: antimicro.appdata.xml.in:27
+msgid "https://raw.githubusercontent.com/jsbackus/antimicro/appdata/other/appdata/screenshots/controller_mapping01.png"
+msgstr ""
+
+#. (itstool) path: screenshot/caption
+#: antimicro.appdata.xml.in:28
+msgid "Controller Mapping Dialog"
+msgstr ""
+
+#. (itstool) path: component/url
+#: antimicro.appdata.xml.in:31
+msgid "https://github.com/Ryochan7/antimicro"
+msgstr ""
+
+#. (itstool) path: component/updatecontact
+#: antimicro.appdata.xml.in:32
+msgid "jeff.backus_at_gmail.com"
+msgstr ""
+
Binary files orig/other/appdata/screenshots/controller_configure01.png and appdata/other/appdata/screenshots/controller_configure01.png differ
Binary files orig/other/appdata/screenshots/controller_configure02.png and appdata/other/appdata/screenshots/controller_configure02.png differ
Binary files orig/other/appdata/screenshots/controller_mapping01.png and appdata/other/appdata/screenshots/controller_mapping01.png differ
diff -rupN orig/other/CMakeLists.txt appdata/other/CMakeLists.txt
--- orig/other/CMakeLists.txt	2014-12-29 16:41:00.000000000 -0500
+++ appdata/other/CMakeLists.txt	2015-01-03 21:09:40.000000000 -0500
@@ -1,3 +1,5 @@
+add_subdirectory(appdata)
+
 add_custom_target(manpage)
 add_custom_command(TARGET manpage PRE_BUILD
     COMMAND gzip -c "${PROJECT_SOURCE_DIR}/other/antimicro.1" > "antimicro.1.gz" VERBATIM
